Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.mediaproxy
Interface ProxyCandidate

All Known Implementing Classes:
  MediaProxySession, RelaySession

    public interface ProxyCandidate

Basic interface to access a Candidate provided by a Session

Author:
  Thiago Camargo

Method Summary
`InetAddress` | `getHostA()`
`InetAddress` | `getHostB()`
`InetAddress` | `getLocalhost()`
`int` | `getLocalPortA()`
`int` | `getLocalPortB()`
`String` | `getPass()`
`int` | `getPortA()`
`int` | `getPortB()`
`String` | `getSID()`
`void` | `sendFromPortA(String host, int port)`
`void` | `sendFromPortB(String host, int port)`
`void` | `setHostA(InetAddress hostA)`
`void` | `setHostB(InetAddress hostB)`
`void` | `setPortA(int portA)`
`void` | `setPortB(int portB)`
`void` | `start()`
`void` | `stopAgent()`

Method Detail

### getSID

    String getSID()

### getPass

    String getPass()

### getLocalhost

    InetAddress getLocalhost()

### getHostA

    InetAddress getHostA()

### getHostB

    InetAddress getHostB()

### setHostA

    void setHostA(InetAddress hostA)

### setHostB

    void setHostB(InetAddress hostB)

### sendFromPortA

    void sendFromPortA(String host,
                       int port)

### sendFromPortB

    void sendFromPortB(String host,
                       int port)

### getPortA

    int getPortA()

### getPortB

    int getPortB()

### setPortA

    void setPortA(int portA)

### setPortB

    void setPortB(int portB)

### getLocalPortA

    int getLocalPortA()

### getLocalPortB

    int getLocalPortB()

### start

    void start()

### stopAgent

    void stopAgent()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.